tigase.osgi

## Class OSGiScriptEngine

- java.lang.Object
- - tigase.osgi.OSGiScriptEngine

- All Implemented Interfaces:
    ScriptEngine

      public class OSGiScriptEngine
      extends Object
      implements ScriptEngine

- - ### Field Summary

    - ### Fields inherited from interface javax.script.ScriptEngine

      `ARGV, ENGINE, ENGINE_VERSION, FILENAME, LANGUAGE, LANGUAGE_VERSION, NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OSGiScriptEngine(ScriptEngine engine, OSGiScriptEngineFactory factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Bindings` | `createBindings()`
    `Object` | `eval(Reader reader)`
    `Object` | `eval(Reader reader, Bindings n)`
    `Object` | `eval(Reader reader, ScriptContext context)`
    `Object` | `eval(String script)`
    `Object` | `eval(String script, Bindings n)`
    `Object` | `eval(String script, ScriptContext context)`
    `Object` | `get(String key)`
    `Bindings` | `getBindings(int scope)`
    `ScriptContext` | `getContext()`
    `ScriptEngineFactory` | `getFactory()`
    `void` | `put(String key, Object value)`
    `void` | `setBindings(Bindings bindings, int scope)`
    `void` | `setContext(ScriptContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OSGiScriptEngine

          public OSGiScriptEngine(ScriptEngine engine,
                                  OSGiScriptEngineFactory factory)

  - ### Method Detail

    - #### createBindings

          public Bindings createBindings()

      Specified by:
        `createBindings` in interface `ScriptEngine`

    - #### eval

          public Object eval(Reader reader,
                             Bindings n)
                      throws ScriptException

      Specified by:
        `eval` in interface `ScriptEngine`
      Throws:
        `ScriptException`

    - #### eval

          public Object eval(Reader reader,
                             ScriptContext context)
                      throws ScriptException

      Specified by:
        `eval` in interface `ScriptEngine`
      Throws:
        `ScriptException`

    - #### eval

          public Object eval(Reader reader)
                      throws ScriptException

      Specified by:
        `eval` in interface `ScriptEngine`
      Throws:
        `ScriptException`

    - #### eval

          public Object eval(String script,
                             Bindings n)
                      throws ScriptException

      Specified by:
        `eval` in interface `ScriptEngine`
      Throws:
        `ScriptException`

    - #### eval

          public Object eval(String script,
                             ScriptContext context)
                      throws ScriptException

      Specified by:
        `eval` in interface `ScriptEngine`
      Throws:
        `ScriptException`

    - #### eval

          public Object eval(String script)
                      throws ScriptException

      Specified by:
        `eval` in interface `ScriptEngine`
      Throws:
        `ScriptException`

    - #### get

          public Object get(String key)

      Specified by:
        `get` in interface `ScriptEngine`

    - #### getBindings

          public Bindings getBindings(int scope)

      Specified by:
        `getBindings` in interface `ScriptEngine`

    - #### getContext

          public ScriptContext getContext()

      Specified by:
        `getContext` in interface `ScriptEngine`

    - #### getFactory

          public ScriptEngineFactory getFactory()

      Specified by:
        `getFactory` in interface `ScriptEngine`

    - #### put

          public void put(String key,
                          Object value)

      Specified by:
        `put` in interface `ScriptEngine`

    - #### setBindings

          public void setBindings(Bindings bindings,
                                  int scope)

      Specified by:
        `setBindings` in interface `ScriptEngine`

    - #### setContext

          public void setContext(ScriptContext context)

      Specified by:
        `setContext` in interface `ScriptEngine`

Copyright © 2022 "Tigase, Inc.". All rights reserved.